<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
     extract($_POST);
echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Cambio de IDs</label><br>
<br>Seleccione una fecha inicial y una fecha final <br>haciendo click en los caledarios que se encuentran a la deracha<br>
<br></center>

<form name=\"Agrega\" action=\"pasa_stockAdmin.php\" method=\"post\">
<div align=\"center\">
<table width=\"357\" height=\"120\" border=\"1\">
<tr><td>Fecha Inicial:<td/>
<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" 
onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
</tr>
<tr><td>Fecha Final:<td/>
<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\"
onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
</tr>";
$sq= "select * from usuarios_ci where idusuarios_ci not in (13, 10)";
$qs= mysqli_query($conexion, $sq) or die ("Error con consulta ".mysqli_error($conexion));
echo"</td></tr><tr><td>Centro Dist:<td/><td><select name = \"listacd\">";
while ($ra = mysqli_fetch_array($qs))
echo "<option value='".$ra[0]."'>".$ra[0]." - ".$ra[1]."</option>";
echo"</select></td></tr>
<tr><td></td><td></td><td>
<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Reporte\" />
</td></tr>
</table></div></form>";
//////////////////////
if(@$generar=="Generar Reporte"){
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $centro =$_POST['listacd'];
  
  $consul="Select * from cambiostock where centro='$centro' and fecha between '$fecha1' and '$fecha2' limit 25";
  $sql=mysqli_query($conexion, $consul) or die ("Error en mostrar cambiostock ".mysqli_error($conexion));
  echo "<center><table style='text-align:center;'><tr>"
  . "<th>Centro</th><th>Cantidad Movida</th><th>Producto 1</th><th>Stock del Prod1</th><th>Producto 2</th><th>Stock del Prod2</th><th>Hora</th></tr>";
  while($x=mysqli_fetch_array($sql)){
          $cn1="select nombreProd from productos where id_prod=$x[3]";
          $qcn1=mysqli_query($conexion, $cn1);
          $ocn1=  mysqli_fetch_object($qcn1);
          $xx1=$ocn1->nombreProd;
          $cn2="select nombreProd from productos where id_prod=$x[5]";
          $qcn2=mysqli_query($conexion, $cn2);
          $ocn2=  mysqli_fetch_object($qcn2);
          $xx2=$ocn2->nombreProd;
         /* $cn3="select nombre from usuarios_ci where idusuarios_ci=$x[1]";
          $qcn3=mysqli_query($conexion, $cn3);
          $ocn3=  mysqli_fetch_object($qcn3);
          $xx3=$ocn3->nombre;*/
     echo "<tr><td>$x[1]</td><td bgcolor='yellow'>$x[2]</td><td>$xx1</td><td bgcolor='red'>$x[4]</td><td>$xx2</td><td bgcolor='green'>$x[6]</td><td>$x[8]</td></tr>";
  }echo "</table></center>";
}
?>s